## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDOMImplementation Class Reference

`#include <XalanDOMImplementation.hpp>`

Inheritance diagram for XalanDOMImplementation:

[legend]
List of all members.

## Public Methods

- XalanDOMImplementation ()
- virtual ~XalanDOMImplementation ()

Getter functions

- virtual bool hasFeature (const XalanDOMString &feature, const XalanDOMString &version)=0
    Test if the DOM implementation implements a specific feature. More...

Functions introduced in DOM Level 2.

- virtual XalanDocumentType* createDocumentType (const XalanDOMString &qualifiedName, const XalanDOMString &publicId, const XalanDOMString &systemId)=0
    Creates an empty `DocumentType` node. More...
- virtual XalanDocument* createDocument (const XalanDOMString &namespaceURI, const XalanDOMString &qualifiedName, const XalanDocumentType &doctype)=0
    Creates an XML `Document` object of the specified type with its document element. More...

## Protected Methods

- XalanDOMImplementation (const XalanDOMImplementation &theSource)
- XalanDOMImplementation& operator= (const XalanDOMImplementation &theSource)
- bool operator== (const XalanDOMImplementation &theRHS) const

## Constructor & Destructor Documentation

XalanDOMImplementation::XalanDOMImplementation ( | )

XalanDOMImplementation::~XalanDOMImplementation ( | )`[virtual]`

XalanDOMImplementation::XalanDOMImplementation ( | const XalanDOMImplementation & theSource )`[protected]`

## Member Function Documentation

XalanDocument * XalanDOMImplementation::createDocument ( | const XalanDOMString & namespaceURI,
| const XalanDOMString & qualifiedName,
| const XalanDocumentType & doctype )`[pure virtual]`

  | Creates an XML `Document` object of the specified type with its document element. Parameters:
  namespaceURI | The namespace URI of the document element to create, or `null`.
  qualifiedName | The qualified name of the document element to be created.
  doctype | The type of document to be created or `null`.
  When `doctype` is not `null`, its `Node.ownerDocument` attribute is set to the document being created. Returns: A new `Document` object. Exceptions:
  DOMException | WRONG_DOCUMENT_ERR: Raised if `doctype` has already been used with a different document.
Reimplemented in XercesDOMImplementationBridge, and XercesDOMImplementationWrapper.

XalanDocumentType * XalanDOMImplementation::createDocumentType ( | const XalanDOMString & qualifiedName,
| const XalanDOMString & publicId,
| const XalanDOMString & systemId )`[pure virtual]`

  | Creates an empty `DocumentType` node. Entity declarations and notations are not made available. Entity reference expansions and default attribute additions do not occur. It is expected that a future version of the DOM will provide a way for populating a `DocumentType`. Parameters:
  qualifiedName | The qualified name of the document type to be created.
  publicId | The external subset public identifier.
  systemId | The external subset system identifier.
Returns: A new `DocumentType` node with `Node.ownerDocument` set to `null`. Reimplemented in XercesDOMImplementationBridge, and XercesDOMImplementationWrapper.

bool XalanDOMImplementation::hasFeature ( | const XalanDOMString & feature,
| const XalanDOMString & version )`[pure virtual]`

  | Test if the DOM implementation implements a specific feature. Parameters:
  feature | The string of the feature to test (case-insensitive). The legal values are defined throughout this specification. The string must be an XML name (see also Compliance).
  version | This is the version number of the package name to test. In Level 1, this is the string "1.0". If the version is not specified, supporting any version of the feature will cause the method to return `true`.
Returns: `true` if the feature is implemented in the specified version, `false` otherwise. Reimplemented in XercesDOMImplementationBridge, and XercesDOMImplementationWrapper.

XalanDOMImplementation & XalanDOMImplementation::operator= ( | const XalanDOMImplementation & theSource )`[protected]`

bool XalanDOMImplementation::operator== ( | const XalanDOMImplementation & theRHS ) const`[protected]`

The documentation for this class was generated from the following file:

- XalanDOMImplementation.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.